## rust-swhid 0.2.2

=== debian/changelog ===
rust-swhid (0.2.2-1) unstable; urgency=medium

  * Package swhid 0.2.2 from crates.io using debcargo 2.7.11

 -- kpcyrd <git@rxv.cc>  Wed, 21 Jan 2026 18:13:21 +0100
