=== debian/control ===
Source: rust-swhid
Section: rust
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo,
 help2man
Build-Depends-Arch: cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-clap-4+default-dev,
 librust-clap-4+derive-dev,
 librust-hex-0.4+default-dev,
 librust-percent-encoding-2+default-dev,
 librust-sha1collisiondetection-0.3+default-dev,
 librust-thiserror-1+default-dev
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 kpcyrd <git@rxv.cc>
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/swhid]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/swhid
Homepage: https://github.com/swhid/swhid-rs
X-Cargo-Crate: swhid

# FIXME (packages."(name)".section) debcargo auto-generated summary for librust-swhid-dev is very long, consider overriding

Package: librust-swhid-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-clap-4+default-dev,
 librust-clap-4+derive-dev,
 librust-git2-0.20+default-dev,
 librust-hex-0.4+default-dev,
 librust-percent-encoding-2+default-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-sha1collisiondetection-0.3+default-dev,
 librust-thiserror-1+default-dev
Provides:
 librust-swhid+default-dev (= ${binary:Version}),
 librust-swhid+git-dev (= ${binary:Version}),
 librust-swhid+serde-dev (= ${binary:Version}),
 librust-swhid-0-dev (= ${binary:Version}),
 librust-swhid-0+default-dev (= ${binary:Version}),
 librust-swhid-0+git-dev (= ${binary:Version}),
 librust-swhid-0+serde-dev (= ${binary:Version}),
 librust-swhid-0.2-dev (= ${binary:Version}),
 librust-swhid-0.2+default-dev (= ${binary:Version}),
 librust-swhid-0.2+git-dev (= ${binary:Version}),
 librust-swhid-0.2+serde-dev (= ${binary:Version}),
 librust-swhid-0.2.2-dev (= ${binary:Version}),
 librust-swhid-0.2.2+default-dev (= ${binary:Version}),
 librust-swhid-0.2.2+git-dev (= ${binary:Version}),
 librust-swhid-0.2.2+serde-dev (= ${binary:Version})
Description: SWHID v1.2 reference implementation - Complete SWHID (ISO/IEC 18670:2025) parsing and hashing with VCS integration - Rust source code
 Source code for Debianized Rust crate "swhid"

Package: swhid
Architecture: any
Section: utils
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
Description: Reference implementation of the Software Hash Identifier (SWHID) standard - ISO 18670
 Minimal implementation of the SWHID (SoftWare Hash IDentifier) format as
 defined in ISO/IEC 18670:2025 and detailed in the SWHID v1.2 specification;
 .
 This implementation is fully compliant with SWHID v1.2 and provides:
 .
  * Core identifier representation and parsing/printing (swh:1:<tag>:<id>)
  * All SWHID v1.2 object types: contents (cnt), directories (dir), revisions
    (rev), releases (rel), snapshots (snp)
  * Qualified identifiers (origin, visit, anchor, path, lines, bytes)
  * SWHID v1.2 compliant hash computation for content and directory objects
 .
 See <https://www.swhid.org/> for further information.
