=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --buildsystem cargo

execute_before_dh_installman:
	help2man \
		--name swhid \
		--no-info \
		debian/swhid/usr/bin/swhid > debian/swhid.1

override_dh_dwz:
	# Don't do anything. fails because of the
	# https://github.com/rust-lang/rust/issues/66118
