=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test swhid 0.2.2 --all-targets --all-features
Features: test-name=rust-swhid:@
Depends: dh-cargo (>= 31), rustc, librust-assert-fs-1+default-dev, librust-criterion-0.5+default-dev, librust-criterion-0.5+html-reports-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test swhid 0.2.2 --all-targets
Features: test-name=librust-swhid-dev:default
Depends: dh-cargo (>= 31), rustc, librust-assert-fs-1+default-dev, librust-criterion-0.5+default-dev, librust-criterion-0.5+html-reports-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test swhid 0.2.2 --all-targets --no-default-features --features git
Features: test-name=librust-swhid-dev:git
Depends: dh-cargo (>= 31), rustc, librust-assert-fs-1+default-dev, librust-criterion-0.5+default-dev, librust-criterion-0.5+html-reports-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test swhid 0.2.2 --all-targets --no-default-features --features serde
Features: test-name=librust-swhid-dev:serde
Depends: dh-cargo (>= 31), rustc, librust-assert-fs-1+default-dev, librust-criterion-0.5+default-dev, librust-criterion-0.5+html-reports-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test swhid 0.2.2 --all-targets --no-default-features
Features: test-name=librust-swhid-dev:
Depends: dh-cargo (>= 31), rustc, librust-assert-fs-1+default-dev, librust-criterion-0.5+default-dev, librust-criterion-0.5+html-reports-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable
